# MCS_Result Class Reference

`#include <mcs.h>`

List of all members.

## Public Types

enum | Enumerations { e_rt_successful, e_rt_domain_merging, e_rt_domain_not_hierarchical, e_rt_no_such_channel, e_rt_no_such_domain, e_rt_no_such_user, e_rt_not_admitted, e_rt_other_user_id, e_rt_parameters_unacceptable, e_rt_token_not_available, e_rt_token_not_possessed, e_rt_too_many_channels, e_rt_too_many_tokens, e_rt_too_many_users, e_rt_unspecified_failure, e_rt_user_rejected }

## Public Member Functions

| MCS_Result (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
MCS_Result & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum MCS_Result::Enumerations

Enumerator:

  e_rt_successful |
  e_rt_domain_merging |
  e_rt_domain_not_hierarchical |
  e_rt_no_such_channel |
  e_rt_no_such_domain |
  e_rt_no_such_user |
  e_rt_not_admitted |
  e_rt_other_user_id |
  e_rt_parameters_unacceptable |
  e_rt_token_not_available |
  e_rt_token_not_possessed |
  e_rt_too_many_channels |
  e_rt_too_many_tokens |
  e_rt_too_many_users |
  e_rt_unspecified_failure |
  e_rt_user_rejected |

## Constructor & Destructor Documentation

MCS_Result::MCS_Result | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

MCS_Result& MCS_Result::operator= | ( | unsigned | v | ) |

PObject* MCS_Result::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- mcs.h